#!/usr/bin/env bash

set -e

queues=(
  "localdev_behavior_queue"
  "localdev_notification_queue"
  "localdev_analytics_queue"
  "localdev_analytics_request_queue"
  "localdev_analytics_done_queue"
  "localdev_modify_queue"
  "localdev_bulkpolicy_queue"
  "localdev_sendactivation_queue"
  "localdev_fileupload_queue"
  "localdev_hash_queue"
  "localdev_threatsharing_queue"
  "localdev_knownbaddevicehash_queue"
  "localdev_deregisterdevices_queue"
  "vmwservice_sync_vms_queue"
)

for queue in "${queues[@]}"; do
  echo "Creating SQS queue: ${queue}"
  awslocal sqs create-queue --queue-name "${queue}" >/dev/null
done
