#!/usr/bin/env bash

set -e

streams=(
  "cbd-test-ana"
  "cbd-test-aug"
  "cbd-test-stats"
  "cbd-test-persist"
  "pscr-test-events"
  "auditlogs"
  "default_device_events_stream"
  "last-contact-time-updater-stream"
)

for stream in "${streams[@]}"; do
  echo "Creating Kinesis stream: ${stream}"
  awslocal kinesis create-stream --stream-name "${stream}" --shard-count 2 >/dev/null
done
